V1 Create Document

Creates a new document for the specified loan. Returns the document ID in the header.

Path Params
string
required

The unique identifier assigned to the loan.

Query Params
string

Possible values are:

entity - Returns all properties for resource.

id - Returns the document ID assigned to the resource.

Body Params
string
required

The title of the Document

string
required
Defaults to All

Identifies which borrower pair (or “All”) the document will be assigned to.

json

List of comments.

For example: {"comments": "Test Comments", "forRoleId": 1}

json

If creating a document with an attachment, the following attachment attributes are required:

entityId - The unique identifier assigned to the attachment.

entityType - The entity type is "attachment".

For example: {"entityId" : "Attachment-5a282ad3-cd55-451d-a9ec-9035da1bcfc3.txt", "entityType" : "attachment"}

Headers
string
required

Bearer token

Response

Language
Request